from mixmod.modules.acdcjsonexporter import ACDCJSONExporter
from mixmod.modules.acdcjsonimporter import ACDCJSONImporter
from mixmod.modules.aggregator import Aggregator
from mixmod.modules.csdumpexporter import CSDumpExporter
from mixmod.modules.csdumpimporter import CSDumpImporter
from mixmod.modules.csvexporter import CSVExporter
from mixmod.modules.filter import Filter
from mixmod.modules.jsonexporter import JSONExporter
from mixmod.modules.jsonimporter import JSONImporter
from mixmod.modules.netflow9importer import Netflow9Importer
from mixmod.modules.nfcapexporter import NFCapExporter
from mixmod.modules.nfcapimporter import NFCapImporter
from mixmod.modules.pcapimporter import PCapImporter
from mixmod.modules.pseudonymizer import Pseudonymizer
from mixmod.modules.sorter import Sorter
from mixmod.modules.xarfexporter import XARFExporter

MIXMOD_CLASSES = {
    'ImportNetflow9': Netflow9Importer,
    'ImportCSDump': CSDumpImporter,
    'ImportJSON': JSONImporter,
    'ImportPCap': PCapImporter,
    'ImportAcdcJSON': ACDCJSONImporter,
    'ImportNFCap': NFCapImporter,
    'ExportCSDump': CSDumpExporter,
    'ExportCSV': CSVExporter,
    'ExportJSON': JSONExporter,
    'ExportXARF': XARFExporter,
    'ExportNFCap': NFCapExporter,
    'ExportAcdcJSON': ACDCJSONExporter,
    'Aggregator': Aggregator,
    'Sorter': Sorter,
    'Pseudonymize': Pseudonymizer,
    'Filter': Filter
}
