import unittest

from mixmod.modules import aggregator


class TestAggregator(unittest.TestCase):
    def test_should_pass_data_through_unchanged(self):
        data = [{"id": 1},
                {"id": 2},
                {"id": 3}]

        agg = aggregator.Aggregator()
        for d in data:
            agg.put(d)
        agg.close()

        actual = []
        x = agg.get()
        while x is not None:
            actual.append(x)
            x = agg.get()

        self.assertEqual(data, actual)
