import cStringIO as StringIO
import datetime
import unittest

import netaddr
from mixmod.modules import csdumpexporter, csdumpimporter


class TestCSDumpExporter(unittest.TestCase):
    def test_should_export_data(self):
        data = {
            'original_format': 0,
            'utc_first_packet': datetime.datetime(2015, 6, 23, 15, 20),
            'utc_last_packet': datetime.datetime(2015, 6, 23, 15, 21),
            'ip_protocol_number': 17,
            'ip_version': 4,
            'src_port': 13000,
            'dst_port': 443,
            'src_ip_v4': netaddr.IPAddress('10.11.12.13'),
            'dst_ip_v4': netaddr.IPAddress('10.11.12.14'),
            # Not checked
            'byte_count': 0,
            'direction': 0,
            'flags': 0,
            'mark': 0,
            'meta': 0,
            'meta_category': 0,
            'organisation': 0,
            'packet_count': 0,
            'snmp_index_in': 0,
            'snmp_index_out': 0,
            'tcp_flags': 0,
            'type_of_service': 0,
            'data_class': 0,
            'data_format': 0,
            'dst_mode': 0,
            'src_mode': 0,
            'environment': 0,
            'ident': '',
            'location': 2,
            'magic': 42252,
            'original_format': 'csd',
            'version': 1
        }
        s = StringIO.StringIO()
        with csdumpexporter.CSDumpExporter(s) as e:
            e.put(data)
        s.seek(0)
        i = csdumpimporter.CSDumpImporter(s)
        actual = next(iter(i))
        self.maxDiff = None
        self.assertEqual(data, actual)
