import StringIO
import unittest

from mixmod.modules import csvexporter


class TestCSVExporter(unittest.TestCase):
    def test_should_export_csv(self):
        s = StringIO.StringIO()
        with csvexporter.CSVExporter(s, export_fields=["foo", "bar", "baz"]) as e:
            e.put({"foo": 1, "bar": 2})
        actual = s.getvalue()
        expected = "foo,bar,baz\r\n1,2,\r\n"
        self.assertEqual(expected, actual)
