import unittest

from mixmod import exporter


class ExporterTest(exporter.Exporter):
    def put(self, data):
        self.conf["data"].append(data)

    def close(self):
        self.conf["closed"] = True


class TestDataProcessor(unittest.TestCase):
    def test_should_act_as_context_manager(self):
        with ExporterTest(data=[]) as e:
            e.put(1)
            e.put(2)
            e.put(3)

        self.assertEqual([1, 2, 3], e.conf["data"])
        self.assertTrue(e.conf["closed"])
