import json
import StringIO
import unittest

from mixmod.modules import jsonexporter


class TestJSONExporter(unittest.TestCase):
    def test_should_dump_acdc_json(self):
        s = StringIO.StringIO()
        with jsonexporter.JSONExporter(s, export_fields=["foo", "bar", "baz"]) as e:
            e.put({"foo": 1, "bar": 2, "qux": 3})

        actual = json.loads(s.getvalue())
        expected = [{"foo": "1",
                     "bar": "2",
                     "baz": ""}]
        self.assertEqual(expected, actual)
