import datetime
import StringIO
import unittest

import netaddr

from mixmod.modules import nfcapexporter
from mixmod import nfcap


class TestNFCapExporter(unittest.TestCase):
    def test_should_write_nfcap(self):
        s = StringIO.StringIO()
        with nfcapexporter.NFCapExporter(s) as e:
            e.put({
                "original_format": "nfc",
                "ip_protocol_number": 6,
                "ip_version": 4,
                "src_port": 40000,
                "dst_port": 443,
                "src_ip_v4": netaddr.IPAddress("10.11.12.13"),
                "dst_ip_v4": netaddr.IPAddress("10.11.12.13"),
                "utc_first_packet": datetime.datetime(2015, 6, 17, 11, 00),
                "utc_last_packet": datetime.datetime(2015, 6, 17, 11, 01),
                # Why do we need these again?
                "src_as": 42,
                "dst_as": 680,
                "next_hop_ip_version": 4,
                "next_bgp_ip_version": 4,
                "fwd_status": 4,
                "type_of_service": 0,
            })

        nf = nfcap.NFCap(s.getvalue())
        self.assertEqual(1, nf.numflows["total"])
