import unittest

from mixmod.modules import sorter


class TestSorter(unittest.TestCase):
    def test_should_sort_data(self):
        with sorter.Sorter(primary_sort_field="pk") as s:
            s.put({"pk": 1})
            s.put({"pk": 3})
            s.put({"pk": 2})

        actual = [s.get()["pk"],
                  s.get()["pk"],
                  s.get()["pk"]]
        expected = [1, 2, 3]

        self.assertEqual(expected, actual)
