import datetime
import StringIO
import unittest

from mixmod.modules import xarfexporter


class TestXARFExporter(unittest.TestCase):
    def test_should_export_xarf(self):
        s = StringIO.StringIO()
        with xarfexporter.XARFExporter(s, skip_dataset_on_error=False) as e:
            e.put({"ip_version": 4,
                   "utc_first_packet": datetime.datetime(2015, 6, 17, 11, 00),
                   "utc_last_packet": datetime.datetime(2015, 6, 17, 11, 01),
                   "src_port": 40000,
                   "dst_port": 443,
                   "ip_protocol_number": 1,
                   "src_ip_v4": "10.11.12.13",
                   "dst_ip_v4": "10.12.13.14"})

        actual = s.getvalue()
        self.assertIn("10.11.12.13", actual)
