#!/usr/bin/env python

from ConfigParser import SafeConfigParser
from netaddr import IPAddress

from Pseudonymize import Pseudonymize

pol = SafeConfigParser()
pol.read('policy.conf')

pseudo = Pseudonymize(pol)

data = [
  ('10.0.0.1', '10.42.42.20'),
  ('10.42.1.17', '10.42.1.18'),
  ('10.42.42.20', '10.0.2.1'),
  ('affe::1981:0401:4711', '2001::1234:3214:1232:aefd'),
  ('affe::1981:0401:4711', '2001::1234:beef:1232:aefd'),
  ('feed::1906:0111:4711', '2001::1234:beef:1232:aefd'),
]

for fld in ['src_ip_v4', 'dst_ip_v4', 'src_ip_v6', 'dst_ip_v6']:
  print '{}: {}'.format(fld, pol.get('Pseudonymize', fld))
print ''

for (src, dst) in data:
  srcip = IPAddress(src)
  dstip = IPAddress(dst)
  
  dict = {}
  try:
    dict['src_ip_v4'] = srcip.ipv4()
    v4 = True
  except:
    dict['src_ip_v6'] = srcip
    v4 = False
  try:
    dict['dst_ip_v4'] = dstip.ipv4()
  except:
    dict['dst_ip_v6'] = dstip

  pdict = pseudo.run(dict)
  
  if v4:
    print 'src: {} -> {}'.format(dict['src_ip_v4'], pdict['src_ip_v4'])
    print 'dst: {} -> {}'.format(dict['dst_ip_v4'], pdict['dst_ip_v4'])
  else:
    print 'src: {} -> {}'.format(dict['src_ip_v6'], pdict['src_ip_v6'])
    print 'dst: {} -> {}'.format(dict['dst_ip_v6'], pdict['dst_ip_v6'])
