#!/usr/bin/env python

from ConfigParser import SafeConfigParser
from netaddr import IPAddress

from Pseudonymize import Pseudonymize

pol = SafeConfigParser()
pol.read('policy.conf')

pseudo = Pseudonymize(pol)

pseudo2 = Pseudonymize(pol, confsection='Pseudonymize2')

data = [
  {
    'src_ip_v4': IPAddress('127.0.0.1'),
    'dst_ip_v4': IPAddress('10.2.1.42'),
    'src_port': 7411,
    'dst_port': 7,
  },
  {
    'src_ip_v4': IPAddress('127.0.0.1'),
    'dst_ip_v4': IPAddress('139.174.2.5'),
    'src_port': 7412,
    'dst_port': 53,
  },
  {
    'dst_ip_v4': IPAddress('127.0.0.1'),
    'src_ip_v4': IPAddress('10.2.1.42'),
    'dst_port': 7411,
    'src_port': 7,
  },
  {
    'dst_ip_v4': IPAddress('127.0.0.1'),
    'src_ip_v4': IPAddress('139.174.2.6'),
    'dst_port': 7412,
    'src_port': 53,
  },
  {
    'dst_ip_v6': IPAddress('2001::10.42.10.1'),
    'src_ip_v6': IPAddress('2001::139.174.2.5'),
    'dst_port': 7412,
    'src_port': 53,
  },
]


for r in data:
  p = pseudo.run(r)
  p2 = pseudo2.run(p)
  
  for key in p.keys():
    try:
      kr = r[key]
    except:
      kr = None
    try:
      kp = p[key]
    except:
      kp = None
    try:
      kp2 = p2[key]
    except:
      kp2 = None
    print '{}: {} -> {} -> {}'.format(key, kr, kp, kp2)
  print ''
