#!/usr/bin/env python

import sys

from ConfigParser import SafeConfigParser
from netaddr import IPAddress
from Pseudonymize import Pseudonymize

pol = SafeConfigParser()

pseudo = Pseudonymize(pol)

ipaddrs = [
    '2001::10.42.1.3',
    '2001::10.42.1.5',
    '2001::10.42.4.5',
    '2001::10.242.1.3',
    '2001::10.242.1.5',
    '2001::10.242.4.5',
    '2001::10.42.1.3',
    'ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff',
]

def pr_bin(v6):
  s = ''
  for word in v6:
    s += ('{:016b}.'.format(word))
  return s
# -

if len(ipaddrs) == 0:
  for n in range(128):
    print 'n = {}:\n    high mask = {},\n    low mask =  {}'.format(n,
      pr_bin(pseudo._v6mask_high(n)),
      pr_bin(pseudo._v6mask_low(n))
    )
else:
  for ipaddr in ipaddrs:
      ip = IPAddress(ipaddr, 6)
      for n in range(128):
          print 'ip = {}:\n  truncate_high({}) -> {:>0130},\n  truncate_low({})  -> {:>0130}'.format(
              ipaddr, 
              n, 
              IPAddress(pseudo.ip6_truncate_high(ip, n)).bin,
              n,
              IPAddress(pseudo.ip6_truncate_low(ip, n)).bin)
  for ipaddr in ipaddrs:
      ip = IPAddress(ipaddr, 6)
      print '  ip6_map({}) ->  {}, ip6_hash() -> {}\n\n'.format(
          ip,
          IPAddress(pseudo.ip6_map(ip)),
          IPAddress(pseudo.ip6_aes_hash(ip)),
      )
